# falco

falco - classic chiptune/electronic music instruments implemented with SunVox & Lua scripts

> When the technique is primitive, everything is beautiful, and when the technique is perfected, almost everything is ugly.
> -- Jean Renoir


## INSTRUMENTS

- PC Speaker (PLAY command - https://en.wikibooks.org/wiki/QBasic/Appendix#PLAY)
- SID (https://www.c64-wiki.com/wiki/SID)
- [Game Boy sound chip](https://aselker.github.io/gameboy-sound-chip/)
- TB-303, TR-808, DX7
- Juno 106
- Gated Snare
- general drum machine
- arpegiator
- autoharph/chord dial
- [Emulator II Marcato strings](http://madtheory.com/site/famous-samples-part-1-emulator-ii-marcato-strings/) & [other classic samples](http://fanazic.free.fr/)


## IDEAS & RESOURCES

- play2wav - https://stackoverflow.com/questions/11355353/how-can-i-convert-qbasic-play-commands-to-something-more-contemporary
- SID keyboard - https://www.youtube.com/watch?v=RX4JfLCaBMU
- https://www.synthmania.com/Famous%20Sounds.htm
- https://reverbmachine.com/blog/exploring-the-yamaha-dx7
- http://www.giordanobenicchi.it/midi-tech/miditech.htm
- http://lucasturaro.space/2015/08/28/binding-lua-callbacks-in-c/